Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol.utils
Class MySequenceIterator

    java.lang.Object
      org.irisa.genouest.logol.utils.MySequenceIterator

All Implemented Interfaces:
  org.biojava.bio.seq.SequenceIterator, org.biojavax.bio.BioEntryIterator, org.biojavax.bio.seq.RichSequenceIterator

    public class MySequenceIterator

extends java.lang.Object
implements org.biojavax.bio.seq.RichSequenceIterator

Simple Sequence implementation to fix memory issues with BioJava DNATools functions. Implements minimum number of functions for sequence data manipulation (no symbols and features) Fix : 1660

Author:
  osallou

Constructor Summary
`MySequenceIterator()`

Method Summary
`boolean` | `hasNext()`
`org.biojavax.bio.BioEntry` | `nextBioEntry()`
`org.biojavax.bio.seq.RichSequence` | `nextRichSequence()`
`org.biojava.bio.seq.Sequence` | `nextSequence()`
`static MySequenceIterator` | `readFasta(java.io.BufferedReader br)` Accessor to a Fasta reader

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MySequenceIterator

    public MySequenceIterator()

Method Detail

### readFasta

    public static MySequenceIterator readFasta(java.io.BufferedReader br)

  Accessor to a Fasta reader

  Parameters:
    `br` - BufferedReader to a Fasta file
  Returns:

### nextRichSequence

    public org.biojavax.bio.seq.RichSequence nextRichSequence()
                                                       throws java.util.NoSuchElementException,
                                                              org.biojava.bio.BioException

  Specified by:
    `nextRichSequence` in interface `org.biojavax.bio.seq.RichSequenceIterator`
  Throws:
    `java.util.NoSuchElementException`
    `org.biojava.bio.BioException`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `org.biojava.bio.seq.SequenceIterator`
  Specified by:
    `hasNext` in interface `org.biojavax.bio.BioEntryIterator`

### nextBioEntry

    public org.biojavax.bio.BioEntry nextBioEntry()
                                           throws java.util.NoSuchElementException,
                                                  org.biojava.bio.BioException

  Specified by:
    `nextBioEntry` in interface `org.biojavax.bio.BioEntryIterator`
  Throws:
    `java.util.NoSuchElementException`
    `org.biojava.bio.BioException`

### nextSequence

    public org.biojava.bio.seq.Sequence nextSequence()
                                              throws java.util.NoSuchElementException,
                                                     org.biojava.bio.BioException

  Specified by:
    `nextSequence` in interface `org.biojava.bio.seq.SequenceIterator`
  Throws:
    `java.util.NoSuchElementException`
    `org.biojava.bio.BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD